Here you can download JEvents 3.4 and JEvents 3.2 (if you are still running Joomla 2.5.x) JEvents 3.4 is the latest stable version of JEvents and should be used on all new sites - this version uses the jQuery javascript library and Bootstrap for styling. JEvents 3.2 is still available for a limited time to allow sites still running Joomla 2.5 where there may be a reason to continue to use the older version and to give time to upgrade the site to Joomla 3.4 - please note that support for JEvents 3.2 will be ending soon.